Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451977 - yum dependency resolving broken
Summary: yum dependency resolving broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 14:28 UTC by Stepan Kasal
Modified: 2014-01-21 23:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-08 13:38:09 UTC


Attachments (Terms of Use)

Description Stepan Kasal 2008-06-18 14:28:40 UTC
yum does not resolve dependencies correctly

"yum upgrade perl" tries to update "perl" and "perl-libs" only.  rpm_check_debug
then fails, because there are numerous module packages installed which
explicitly require a particular version of perl, but yum does not notice:

# yum upgrade perl
[...]
Resolving Dependencies
--> Running transaction check
---> Package perl.i386 4:5.10.0-26.fc10 set to be updated
--> Processing Dependency: perl-libs = 4:5.10.0-26.fc10 for package: perl
--> Running transaction check
---> Package perl-libs.i386 4:5.10.0-26.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 perl                    i386       4:5.10.0-26.fc10  development        14 M
 perl-libs               i386       4:5.10.0-26.fc10  development       899 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total size: 15 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
perl is needed by (installed) perl-Pod-Escapes-1.04-20.fc9.i386
perl is needed by (installed) perl-Pod-Escapes-1.04-20.fc9.i386
perl is needed by (installed) perl-version-0.74-20.fc9.i386
perl is needed by (installed) perl-version-0.74-20.fc9.i386
perl is needed by (installed) perl-IO-Compress-Base-2.008-20.fc9.i386
perl is needed by (installed) perl-IO-Compress-Base-2.008-20.fc9.i386
perl is needed by (installed) perl-Pod-Simple-3.05-20.fc9.i386
perl is needed by (installed) perl-Pod-Simple-3.05-20.fc9.i386
perl is needed by (installed) perl-Pod-Simple-3.05-20.fc9.i386
perl is needed by (installed) perl-Pod-Simple-3.05-20.fc9.i386
perl is needed by (installed) perl-Module-Pluggable-3.60-20.fc9.i386
perl is needed by (installed) perl-Compress-Raw-Zlib-2.008-20.fc9.i386
perl is needed by (installed) perl-Compress-Raw-Zlib-2.008-20.fc9.i386
perl is needed by (installed) perl-IO-Compress-Zlib-2.008-20.fc9.i386
perl is needed by (installed) perl-IO-Compress-Zlib-2.008-20.fc9.i386
perl is needed by (installed) perl-Test-Harness-2.64-20.fc9.i386
perl is needed by (installed) perl-Test-Harness-2.64-20.fc9.i386
perl is needed by (installed) perl-devel-5.10.0-20.fc9.i386
perl is needed by (installed) perl-devel-5.10.0-20.fc9.i386
perl is needed by (installed) perl-ExtUtils-MakeMaker-6.36-20.fc9.i386
perl is needed by (installed) perl-ExtUtils-MakeMaker-6.36-20.fc9.i386
perl is needed by (installed) perl-ExtUtils-MakeMaker-6.36-20.fc9.i386
perl is needed by (installed) perl-ExtUtils-ParseXS-2.18-20.fc9.i386
perl is needed by (installed) perl-ExtUtils-ParseXS-2.18-20.fc9.i386
perl is needed by (installed) perl-ExtUtils-ParseXS-2.18-20.fc9.i386
Complete!
# rpm -qR perl-ExtUtils-MakeMaker
/usr/bin/perl  
perl >= 0:5.00503
perl >= 0:5.005_03
perl = 4:5.10.0-20.fc9
perl(AutoSplit)  
[...]

Sure, the packages contain silly redundant requirements, yet yum should not get
confused by that.

Comment 1 James Antill 2008-08-07 19:30:18 UTC
 I'm pretty sure we fixed this bug in 3.2.18 (the problem would go away if you did the perl-libs update directly, yes?)

Comment 2 Stepan Kasal 2008-08-08 13:38:09 UTC
You are right, I have verified that yum 3.2.18 fixed this bug.


Note You need to log in before you can comment on or make changes to this bug.